# Class: c3.Plot.Layer.Line.Vertical

Defined in: | js/c3-layers.coffee
Inherits: | c3.Plot.Layer.Line.Straight

## Overview

Vertical line layer. Please refer to c3.Plot.Layer.Line.Straight for documentation.

### See also:

- c3.Plot.Layer.Line.Straight

## Variables Summary

type =

      'vertical'

### Variable inherited from c3.Plot.Layer.Line.Straight

version type key value filter draggable vector_options line_options grab_line_options label_options _next_uid data name class static_data h v x y options handlers restyle

## Instance Method Summary

- # (void) _init() Bound
- # (void) _size() Bound

## Inherited Method Summary

### Methods inherited from c3.Plot.Layer.Line.Straight

#_init #_size #_update #_draw #_style #init #size #update #draw #style #zoom #redraw #scale #min_x #max_x #min_y #max_y

## Instance Method Details

# (void) _init() Bound

# (void) _size() Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input